NVPTX-NONE-RUN(1)

NAME
nvptx-none-run - run PTX binaries compiled with -mmainkernel

SYNOPSIS
nvptx-none-run [option...] program [argument...]

OPTIONS

-S, --stack-size N
    Set per-lane GPU stack size to N (default: auto)

-H, --heap-size N
    Set GPU heap size to N (default: 256 MiB)

-L, --lanes N
    Launch N lanes (for testing gcc -muniform-simt)

-O, --optlevel N
    Pass PTX JIT option to set optimization level N

-g, --lineinfo
    Pass PTX JIT option to generate line information

-G, --debuginfo
    Pass PTX JIT option to generate debug information

--help
    Print this help and exit

--version
    Print version number and exit

REPORTING BUGS
Report bugs to <https://github.com/SourceryTools/nvptx-tools/issues>.

COPYRIGHT
Copyright © 2024 The nvptx-tools Developers License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> This program is free software; you may redistribute it under the terms of the GNU General Public License version 3 or later. This program has absolutely no warranty.